import { HttpMethod } from './method';
export declare enum HttpRequestHeader {
    Accept = "accept",
    AcceptCharset = "accept-charset",
    AcceptEncoding = "accept-encoding",
    AcceptLanguage = "accept-language",
    Allow = "allow",
    Authorization = "authorization",
    CacheControl = "cache-control",
    Connection = "connection",
    ContentEncoding = "content-encoding",
    ContentLanguage = "content-language",
    ContentLength = "content-length",
    ContentLocation = "content-location",
    ContentMd5 = "content-md5",
    ContentRange = "content-range",
    ContentType = "content-type",
    Cookie = "cookie",
    Date = "date",
    Expect = "expect",
    Expires = "expires",
    From = "from",
    Host = "host",
    IfMatch = "if-match",
    IfModifiedSince = "if-modified-since",
    IfNoneMatch = "if-none-match",
    IfRange = "if-range",
    IfUnmodifiedSince = "if-unmodified-since",
    KeepAlive = "keep-alive",
    LastModified = "last-modified",
    MaxForwards = "max-forwards",
    Pragma = "pragma",
    ProxyAuthorization = "proxy-authorization",
    Range = "range",
    Referer = "referer",
    Te = "te",
    Trailer = "trailer",
    TransferEncoding = "transfer-encoding",
    Translate = "translate",
    Upgrade = "upgrade",
    UserAgent = "user-agent",
    Via = "via",
    Warning = "warning",
}
export interface HttpRequestInterface {
    method: HttpMethod | string;
    url: URL;
    headers: Map<HttpRequestHeader | string, string>;
    body: any;
}
export declare class HttpRequest implements HttpRequestInterface {
    method: HttpMethod | string;
    url: URL;
    headers: Map<HttpRequestHeader | string, string>;
    body: any;
}
