import { HttpStatusCode } from './status-code';
export declare enum HttpResponseHeader {
    AcceptRanges = "accept-tanges",
    Age = "age",
    Allow = "allow",
    CacheControl = "cache-control",
    Connection = "connection",
    ContentEncoding = "content-encoding",
    ContentLanguage = "content-language",
    ContentLength = "content-length",
    ContentLocation = "content-location",
    ContentMd5 = "content-md5",
    ContentRange = "content-range",
    ContentType = "content-type",
    Date = "date",
    ETag = "etag",
    Expires = "expires",
    KeepAlive = "keep-alive",
    LastModified = "last-modified",
    Location = "location",
    Pragma = "pragma",
    ProxyAuthenticate = "proxy-authenticate",
    RetryAfter = "retry-after",
    Server = "server",
    SetCookie = "set-cookie",
    Trailer = "trailer",
    TransferEncoding = "transfer-encoding",
    Upgrade = "upgrade",
    Vary = "vary",
    Via = "via",
    Warning = "warning",
    WwwAuthenticate = "www-authenticate",
}
export interface HttpResponseInterface {
    statusCode: HttpStatusCode | number;
    headers: Map<HttpResponseHeader | string, string>;
    body: any;
}
export declare class HttpResponse implements HttpResponseInterface {
    statusCode: HttpStatusCode | number;
    headers: Map<HttpResponseHeader | string, string>;
    body: any;
}
